LibreOffice: XDatabaseEnvironment Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
XDatabaseEnvironment Interface Referencepublished

is not to be used anymore. More...

`import"XDatabaseEnvironment.idl";`

Inheritance diagram for XDatabaseEnvironment:

## Public Member Functions
XDatabaseAccess | getDatabaseAccess ([in]string URL) raises (com::sun::star::sdbc::SQLException)
XDatabaseAccess | createDatabaseAccess ([in]string URL, [in]string title) raises (com::sun::star::sdbc::SQLException)
Public Member Functions inherited from XDriverManager
XConnection | getConnection ([in]string url) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
XConnection | getConnectionWithInfo ([in]string url, [in]sequence< com::sun::star::beans::PropertyValue > info) raises (SQLException)
| attempts to establish a connection to the given database URL. More...
void | setLoginTimeout ([in]long seconds)
| sets the maximum time in seconds that a driver will wait while attempting to connect to a database. More...
long | getLoginTimeout ()
| gets the maximum time in seconds that a driver can wait when attempting to login to a database. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is not to be used anymore.

Deprecated:

## Member Function Documentation

## ◆ createDatabaseAccess()

XDatabaseAccess createDatabaseAccess | ( | [in] string | URL,
|  | [in] string | title
| ) |  |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

## ◆ getDatabaseAccess()

XDatabaseAccess getDatabaseAccess | ( | [in] string | URL | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XDatabaseEnvironment.idl